For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • GETGet all custom schemas
        • GETGet custom schema
        • POSTCreate a custom schema
        • PATCHUpdate custom schema
Contact Sales
LogoLogo
API ReferenceCustom SchemasV1

Get custom schema

Beta
GET
/api/custom-schemas/v1/:schema_id
GET
/api/custom-schemas/v1/:schema_id
$curl https://api.joincandidhealth.com/api/custom-schemas/v1/ec096b13-f80a-471d-aaeb-54b021c9d582 \
> -H "Authorization: Bearer <token>"
1{
2 "id": "ec096b13-f80a-471d-aaeb-54b021c9d582",
3 "name": "General Medicine",
4 "fields": [
5 {
6 "key": "provider_category",
7 "type": "STRING"
8 },
9 {
10 "key": "is_urgent_care",
11 "type": "BOOLEAN"
12 },
13 {
14 "key": "bmi",
15 "type": "DOUBLE"
16 },
17 {
18 "key": "age",
19 "type": "INTEGER"
20 }
21 ],
22 "description": "Values associated with a generic visit"
23}
Return a custom schema with a given ID.
Was this page helpful?
Previous

Create a custom schema

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

schema_idUUIDRequired

Response

This endpoint returns an object.
idUUID
namestring
fieldslist of objects
descriptionstring

Errors

403
Unauthorized Error
404
Entity Not Found Error